User visible changes in the firmware version 3.6.3 since version 3.6.2.

1. PTPv2: fix time-stamping of incoming packets for boards with
   PTP-aware Ethernet PHY.

2. PTPv2: reply to PdelayReq packets to support P2P devices.

3. PTPv2: change 'logMessageInterval' field of Delay_Req message from 0
   to 4.

4. PTPv2: correctly set 'logMessageInterval' field of the Announce
   message.

5. [CI] message: fix 'tot' field to be in seconds (was in milliseconds).

6. _MEM: fix option handling for sizes higher than 2Gb.

7. TR_G2: NVRAM is now cleared after 5 consecutive reboots, as well
   as when firmware version changes, as in any other board.

8. Support of IRNSS navigation system in RTCM3.2 MSM messages
   implemented  (messages types are now 1131 - 1137).

9. Support of IRNSS navigation system in RTK engine implemented.

10. Support of JLink3G (options 01 and 02), HPT404BT (options 31 and
    32) and HPT435BT (options 31 and 32) radio modems was added.

11. UHF: New parameters /par/modem/X/uhf/inf/mcu and
    /par/modem/X/auto/inf/mcu were added.

12. [NP] and [NR] messages: fixed output of coordinates having integer
    number of degrees.

13. GNSS100, GNSS100GG: correct switch ports SER_B and SER_D to
    RS232/RS422 mode.

14. NTP, PTP: fix bug that broke these services since version 3.6.1.

15. IRIG: add support for boards with inverted AMP_SHDN signal.

16. RTCM3.2 MSM messages decoding: added required checks for validity
    of phases and pseudo-ranges.

17. UDP output: fix bug introduced in version 3.6.2 that caused UDP
    output to stop after receiver power cycle/reboot.

18. UHF: New values "syn" and "ant" were added for /par/modem/X/err
    parameter.

19. Store in NVRAM only navigation data specified by parameter
    '/par/pos/SYS/navdata'

20. Increase maximum capacity of the default set of messages, as well
    as maxi um number of simultaneously enabled messages to each port.

21. BLUETOOTH: fix bug in operation with Toshiba BT stack.

22. UDP output: /par/dev/udp/X/mcttl parameters implemented.

23. New parameter /par/out/max: maximum number of messages.

24. New parameter /par/pwr/mvoff: voltage threshold for turning power
    off.

25. The check of message's mask in RTCM3.1 transformation messages
    has been changed to strongly correspond to RTCM standard.

26. The number of SBAS channels has been increased from 6 to 12
    in the receivers with extended memory.

27. BlueTooth: bug has been fixed that sometimes caused receiver
    malfunction and running into exception mode.

28. TRE_G2TH: support borad rev.9.

29. Number of signals being tracked simultaneously increased for E5B
    capable receivers.

30. New World Magnetic Model for 2015-2020 years implemented.

31. NTP: fix NTP not working when DHCP is turned on.


                             Highlights.


                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

No changes.

                             2. Parameters.

2.1 New modem parameters

Name:           /par/modem/X/uhf/inf/mcu (X=[a...d])
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    MCU firmware version.

Name:           /par/modem/X/auto/inf/mcu (X=[a...d])
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    MCU firmware version.

2.2 Modification of Last Detected Modem Error parameter

Last Detected Modem Error /par/modem/X/err (X=[a...d])
New value: syn - Frequency Synthesizer Error;
           ant - Antenna Detect Error;

2.3 New UDP parameter.

Name:           /par/dev/udp/X/mcttl (X=[a..e])
Access:         rw
Type:           integer
Values:         [0..255]
Default:        1
Description:    Multicast TTL

2.4 New parameter: Maximum number of messages.

Name:           /par/out/max
Access:         r
Type:           integer
Description:    Maximum number of messages simultaneously enabled to
                any given port.

2.5 New parameter: voltage threshold for turning power off.

Name:           /par/pwr/mvoff
Access:         rw
Type:           integer [millivolt]
Values:         [0..100000]
Default:        0
Description:    Turn power off if external voltage (/par/pwr/ext)
drops below the threshold specified by this parameter. At default
value of 0 never turn power off. Receiver will ensure it saw some
external power applied for a few seconds and then it saw power below
the threshold for a few seconds before it turns power off.

                             4. Commands.

No changes.


<END>
